VST 3 Interfaces: Speaker Arrangements
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Functions | Variables
Speaker Arrangements

## Functions
int32 | getChannelCount (SpeakerArrangement arr)
| Returns number of channels used in speaker arrangement. More...

## Variables
const Speaker | kSpeakerL = 1 << 0
| Speaker Definitions. More...
const Speaker | kSpeakerR = 1 << 1
| Right (R) More...
const Speaker | kSpeakerC = 1 << 2
| Center (C) More...
const Speaker | kSpeakerLfe = 1 << 3
| Subbass (Lfe) More...
const Speaker | kSpeakerLs = 1 << 4
| Left Surround (Ls) More...
const Speaker | kSpeakerRs = 1 << 5
| Right Surround (Rs) More...
const Speaker | kSpeakerLc = 1 << 6
| Left of Center (Lc) - Front Left Center. More...
const Speaker | kSpeakerRc = 1 << 7
| Right of Center (Rc) - Front Right Center. More...
const Speaker | kSpeakerS = 1 << 8
| Surround (S) More...
const Speaker | kSpeakerCs = kSpeakerS
| Center of Surround (Cs) - Back Center - Surround (S) More...
const Speaker | kSpeakerSl = 1 << 9
| Side Left (Sl) More...
const Speaker | kSpeakerSr = 1 << 10
| Side Right (Sr) More...
const Speaker | kSpeakerTc = 1 << 11
| Top Center Over-head, Top Middle (Tc) More...
const Speaker | kSpeakerTfl = 1 << 12
| Top Front Left (Tfl) More...
const Speaker | kSpeakerTfc = 1 << 13
| Top Front Center (Tfc) More...
const Speaker | kSpeakerTfr = 1 << 14
| Top Front Right (Tfr) More...
const Speaker | kSpeakerTrl = 1 << 15
| Top Rear/Back Left (Trl) More...
const Speaker | kSpeakerTrc = 1 << 16
| Top Rear/Back Center (Trc) More...
const Speaker | kSpeakerTrr = 1 << 17
| Top Rear/Back Right (Trr) More...
const Speaker | kSpeakerLfe2 = 1 << 18
| Subbass 2 (Lfe2) More...
const Speaker | kSpeakerM = 1 << 19
| Mono (M) More...
const Speaker | kSpeakerACN0 = (Speaker)1 << 20
| Ambisonic ACN 0. More...
const Speaker | kSpeakerACN1 = (Speaker)1 << 21
| Ambisonic ACN 1. More...
const Speaker | kSpeakerACN2 = (Speaker)1 << 22
| Ambisonic ACN 2. More...
const Speaker | kSpeakerACN3 = (Speaker)1 << 23
| Ambisonic ACN 3. More...
const Speaker | kSpeakerACN4 = (Speaker)1 << 38
| Ambisonic ACN 4. More...
const Speaker | kSpeakerACN5 = (Speaker)1 << 39
| Ambisonic ACN 5. More...
const Speaker | kSpeakerACN6 = (Speaker)1 << 40
| Ambisonic ACN 6. More...
const Speaker | kSpeakerACN7 = (Speaker)1 << 41
| Ambisonic ACN 7. More...
const Speaker | kSpeakerACN8 = (Speaker)1 << 42
| Ambisonic ACN 8. More...
const Speaker | kSpeakerACN9 = (Speaker)1 << 43
| Ambisonic ACN 9. More...
const Speaker | kSpeakerACN10 = (Speaker)1 << 44
| Ambisonic ACN 10. More...
const Speaker | kSpeakerACN11 = (Speaker)1 << 45
| Ambisonic ACN 11. More...
const Speaker | kSpeakerACN12 = (Speaker)1 << 46
| Ambisonic ACN 12. More...
const Speaker | kSpeakerACN13 = (Speaker)1 << 47
| Ambisonic ACN 13. More...
const Speaker | kSpeakerACN14 = (Speaker)1 << 48
| Ambisonic ACN 14. More...
const Speaker | kSpeakerACN15 = (Speaker)1 << 49
| Ambisonic ACN 15. More...
const Speaker | kSpeakerACN16 = (Speaker)1 << 50
| Ambisonic ACN 16. More...
const Speaker | kSpeakerACN17 = (Speaker)1 << 51
| Ambisonic ACN 17. More...
const Speaker | kSpeakerACN18 = (Speaker)1 << 52
| Ambisonic ACN 18. More...
const Speaker | kSpeakerACN19 = (Speaker)1 << 53
| Ambisonic ACN 19. More...
const Speaker | kSpeakerACN20 = (Speaker)1 << 54
| Ambisonic ACN 20. More...
const Speaker | kSpeakerACN21 = (Speaker)1 << 55
| Ambisonic ACN 21. More...
const Speaker | kSpeakerACN22 = (Speaker)1 << 56
| Ambisonic ACN 22. More...
const Speaker | kSpeakerACN23 = (Speaker)1 << 57
| Ambisonic ACN 23. More...
const Speaker | kSpeakerACN24 = (Speaker)1 << 58
| Ambisonic ACN 24. More...
const Speaker | kSpeakerTsl = (Speaker)1 << 24
| Top Side Left (Tsl) More...
const Speaker | kSpeakerTsr = (Speaker)1 << 25
| Top Side Right (Tsr) More...
const Speaker | kSpeakerLcs = (Speaker)1 << 26
| Left of Center Surround (Lcs) - Back Left Center. More...
const Speaker | kSpeakerRcs = (Speaker)1 << 27
| Right of Center Surround (Rcs) - Back Right Center. More...
const Speaker | kSpeakerBfl = (Speaker)1 << 28
| Bottom Front Left (Bfl) More...
const Speaker | kSpeakerBfc = (Speaker)1 << 29
| Bottom Front Center (Bfc) More...
const Speaker | kSpeakerBfr = (Speaker)1 << 30
| Bottom Front Right (Bfr) More...
const Speaker | kSpeakerPl = (Speaker)1 << 31
| Proximity Left (Pl) More...
const Speaker | kSpeakerPr = (Speaker)1 << 32
| Proximity Right (Pr) More...
const Speaker | kSpeakerBsl = (Speaker)1 << 33
| Bottom Side Left (Bsl) More...
const Speaker | kSpeakerBsr = (Speaker)1 << 34
| Bottom Side Right (Bsr) More...
const Speaker | kSpeakerBrl = (Speaker)1 << 35
| Bottom Rear Left (Brl) More...
const Speaker | kSpeakerBrc = (Speaker)1 << 36
| Bottom Rear Center (Brc) More...
const Speaker | kSpeakerBrr = (Speaker)1 << 37
| Bottom Rear Right (Brr) More...
const Speaker | kSpeakerLw = (Speaker)1 << 59
| Left Wide (Lw) More...
const Speaker | kSpeakerRw = (Speaker)1 << 60
| Right Wide (Rw) More...
const SpeakerArrangement | kEmpty = 0
| Speaker Arrangement Definitions. More...
const CString | kStringEmpty = ""
| Speaker Arrangement String Representation. More...
const CString | kStringMonoS = "M"
| Speaker Arrangement String Representation with Speakers Name. More...

## Detailed Description

A SpeakerArrangement is a bitset combination of speakers. For example:

const SpeakerArrangement kStereo = kSpeakerL | kSpeakerR; // => hex: 0x03 / binary: 0011.
Steinberg::Vst::kSpeakerR
const Speaker kSpeakerR
Right (R)
Definition: vstspeaker.h:42
Steinberg::Vst::kSpeakerL
const Speaker kSpeakerL
Speaker Definitions.
Definition: vstspeaker.h:41
Steinberg::Vst::PlugType::kStereo
SMTG_CONSTEXPR const CString kStereo
used for Stereo only plug-in [optional]
Definition: ivstaudioprocessor.h:94
Steinberg::Vst::SpeakerArrangement
uint64 SpeakerArrangement
Bitset of speakers.
Definition: vsttypes.h:112

See also
  IAudioProcessor::getBusArrangement () and IAudioProcessor::setBusArrangements ()

## Function Documentation

## ◆ getChannelCount()

int32 Steinberg::Vst::SpeakerArr::getChannelCount | ( | SpeakerArrangement | arr | ) |
| inline

Returns number of channels used in speaker arrangement.

## Variable Documentation

## ◆ kSpeakerL

const Speaker kSpeakerL = 1 << 0

Speaker Definitions.

Left (L)

## ◆ kSpeakerR

const Speaker kSpeakerR = 1 << 1

Right (R)

## ◆ kSpeakerC

const Speaker kSpeakerC = 1 << 2

Center (C)

## ◆ kSpeakerLfe

const Speaker kSpeakerLfe = 1 << 3

Subbass (Lfe)

## ◆ kSpeakerLs

const Speaker kSpeakerLs = 1 << 4

Left Surround (Ls)

## ◆ kSpeakerRs

const Speaker kSpeakerRs = 1 << 5

Right Surround (Rs)

## ◆ kSpeakerLc

const Speaker kSpeakerLc = 1 << 6

Left of Center (Lc) - Front Left Center.

## ◆ kSpeakerRc

const Speaker kSpeakerRc = 1 << 7

Right of Center (Rc) - Front Right Center.

## ◆ kSpeakerS

const Speaker kSpeakerS = 1 << 8

Surround (S)

## ◆ kSpeakerCs

const Speaker kSpeakerCs = kSpeakerS

Center of Surround (Cs) - Back Center - Surround (S)

## ◆ kSpeakerSl

const Speaker kSpeakerSl = 1 << 9

Side Left (Sl)

## ◆ kSpeakerSr

const Speaker kSpeakerSr = 1 << 10

Side Right (Sr)

## ◆ kSpeakerTc

const Speaker kSpeakerTc = 1 << 11

Top Center Over-head, Top Middle (Tc)

## ◆ kSpeakerTfl

const Speaker kSpeakerTfl = 1 << 12

Top Front Left (Tfl)

## ◆ kSpeakerTfc

const Speaker kSpeakerTfc = 1 << 13

Top Front Center (Tfc)

## ◆ kSpeakerTfr

const Speaker kSpeakerTfr = 1 << 14

Top Front Right (Tfr)

## ◆ kSpeakerTrl

const Speaker kSpeakerTrl = 1 << 15

Top Rear/Back Left (Trl)

## ◆ kSpeakerTrc

const Speaker kSpeakerTrc = 1 << 16

Top Rear/Back Center (Trc)

## ◆ kSpeakerTrr

const Speaker kSpeakerTrr = 1 << 17

Top Rear/Back Right (Trr)

## ◆ kSpeakerLfe2

const Speaker kSpeakerLfe2 = 1 << 18

Subbass 2 (Lfe2)

## ◆ kSpeakerM

const Speaker kSpeakerM = 1 << 19

Mono (M)

## ◆ kSpeakerACN0

const Speaker kSpeakerACN0 = (Speaker)1 << 20

Ambisonic ACN 0.

## ◆ kSpeakerACN1

const Speaker kSpeakerACN1 = (Speaker)1 << 21

Ambisonic ACN 1.

## ◆ kSpeakerACN2

const Speaker kSpeakerACN2 = (Speaker)1 << 22

Ambisonic ACN 2.

## ◆ kSpeakerACN3

const Speaker kSpeakerACN3 = (Speaker)1 << 23

Ambisonic ACN 3.

## ◆ kSpeakerACN4

const Speaker kSpeakerACN4 = (Speaker)1 << 38

Ambisonic ACN 4.

## ◆ kSpeakerACN5

const Speaker kSpeakerACN5 = (Speaker)1 << 39

Ambisonic ACN 5.

## ◆ kSpeakerACN6

const Speaker kSpeakerACN6 = (Speaker)1 << 40

Ambisonic ACN 6.

## ◆ kSpeakerACN7

const Speaker kSpeakerACN7 = (Speaker)1 << 41

Ambisonic ACN 7.

## ◆ kSpeakerACN8

const Speaker kSpeakerACN8 = (Speaker)1 << 42

Ambisonic ACN 8.

## ◆ kSpeakerACN9

const Speaker kSpeakerACN9 = (Speaker)1 << 43

Ambisonic ACN 9.

## ◆ kSpeakerACN10

const Speaker kSpeakerACN10 = (Speaker)1 << 44

Ambisonic ACN 10.

## ◆ kSpeakerACN11

const Speaker kSpeakerACN11 = (Speaker)1 << 45

Ambisonic ACN 11.

## ◆ kSpeakerACN12

const Speaker kSpeakerACN12 = (Speaker)1 << 46

Ambisonic ACN 12.

## ◆ kSpeakerACN13

const Speaker kSpeakerACN13 = (Speaker)1 << 47

Ambisonic ACN 13.

## ◆ kSpeakerACN14

const Speaker kSpeakerACN14 = (Speaker)1 << 48

Ambisonic ACN 14.

## ◆ kSpeakerACN15

const Speaker kSpeakerACN15 = (Speaker)1 << 49

Ambisonic ACN 15.

## ◆ kSpeakerACN16

const Speaker kSpeakerACN16 = (Speaker)1 << 50

Ambisonic ACN 16.

## ◆ kSpeakerACN17

const Speaker kSpeakerACN17 = (Speaker)1 << 51

Ambisonic ACN 17.

## ◆ kSpeakerACN18

const Speaker kSpeakerACN18 = (Speaker)1 << 52

Ambisonic ACN 18.

## ◆ kSpeakerACN19

const Speaker kSpeakerACN19 = (Speaker)1 << 53

Ambisonic ACN 19.

## ◆ kSpeakerACN20

const Speaker kSpeakerACN20 = (Speaker)1 << 54

Ambisonic ACN 20.

## ◆ kSpeakerACN21

const Speaker kSpeakerACN21 = (Speaker)1 << 55

Ambisonic ACN 21.

## ◆ kSpeakerACN22

const Speaker kSpeakerACN22 = (Speaker)1 << 56

Ambisonic ACN 22.

## ◆ kSpeakerACN23

const Speaker kSpeakerACN23 = (Speaker)1 << 57

Ambisonic ACN 23.

## ◆ kSpeakerACN24

const Speaker kSpeakerACN24 = (Speaker)1 << 58

Ambisonic ACN 24.

## ◆ kSpeakerTsl

const Speaker kSpeakerTsl = (Speaker)1 << 24

Top Side Left (Tsl)

## ◆ kSpeakerTsr

const Speaker kSpeakerTsr = (Speaker)1 << 25

Top Side Right (Tsr)

## ◆ kSpeakerLcs

const Speaker kSpeakerLcs = (Speaker)1 << 26

Left of Center Surround (Lcs) - Back Left Center.

## ◆ kSpeakerRcs

const Speaker kSpeakerRcs = (Speaker)1 << 27

Right of Center Surround (Rcs) - Back Right Center.

## ◆ kSpeakerBfl

const Speaker kSpeakerBfl = (Speaker)1 << 28

Bottom Front Left (Bfl)

## ◆ kSpeakerBfc

const Speaker kSpeakerBfc = (Speaker)1 << 29

Bottom Front Center (Bfc)

## ◆ kSpeakerBfr

const Speaker kSpeakerBfr = (Speaker)1 << 30

Bottom Front Right (Bfr)

## ◆ kSpeakerPl

const Speaker kSpeakerPl = (Speaker)1 << 31

Proximity Left (Pl)

## ◆ kSpeakerPr

const Speaker kSpeakerPr = (Speaker)1 << 32

Proximity Right (Pr)

## ◆ kSpeakerBsl

const Speaker kSpeakerBsl = (Speaker)1 << 33

Bottom Side Left (Bsl)

## ◆ kSpeakerBsr

const Speaker kSpeakerBsr = (Speaker)1 << 34

Bottom Side Right (Bsr)

## ◆ kSpeakerBrl

const Speaker kSpeakerBrl = (Speaker)1 << 35

Bottom Rear Left (Brl)

## ◆ kSpeakerBrc

const Speaker kSpeakerBrc = (Speaker)1 << 36

Bottom Rear Center (Brc)

## ◆ kSpeakerBrr

const Speaker kSpeakerBrr = (Speaker)1 << 37

Bottom Rear Right (Brr)

## ◆ kSpeakerLw

const Speaker kSpeakerLw = (Speaker)1 << 59

Left Wide (Lw)

## ◆ kSpeakerRw

const Speaker kSpeakerRw = (Speaker)1 << 60

Right Wide (Rw)

## ◆ kEmpty

const SpeakerArrangement kEmpty = 0

Speaker Arrangement Definitions.

for example: 5.0.5.3 for 5x Middle + 0x LFE + 5x Top + 3x Bottom empty arrangement

## ◆ kStringEmpty

const CString kStringEmpty = ""

Speaker Arrangement String Representation.

## ◆ kStringMonoS

const CString kStringMonoS = "M"

Speaker Arrangement String Representation with Speakers Name.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.